// ExpansionBase.cpp : implementation file
//

#include "stdafx.h"
#include "ExtensionBase.h"

// The one and only extension pointer
static ExtensionBase* pExtension = NULL;

extern "C" DWORD WINAPI HttpExtensionProc(EXTENSION_CONTROL_BLOCK *pECB)
{
    return pExtension->HttpExtensionProc(pECB);
}

extern "C" BOOL WINAPI GetExtensionVersion(HSE_VERSION_INFO *pVer)
{
    return pExtension->GetExtensionVersion(pVer);
}

extern "C" BOOL WINAPI TerminateExtension(DWORD dwFlags)
{
    return pExtension->TerminateExtension(dwFlags);
}

ExtensionBase::ExtensionBase()
{
    pExtension = this;
}

ExtensionBase::~ExtensionBase()
{
    pExtension = NULL;
}

BOOL ExtensionBase::TerminateExtension(DWORD dwFlags)
{
    return TRUE;
}

