// ExtensionBase.h : header file
//

#ifndef __EXTENSIONBASE_H
#define __EXTENSIONBASE_H

#include <httpext.h>

class ExtensionBase 
{
public:
    ExtensionBase();
    virtual ~ExtensionBase();

	// Exported functions necessary for an ISAPI extension
    virtual DWORD HttpExtensionProc(EXTENSION_CONTROL_BLOCK *lpECB) = 0;
    virtual BOOL GetExtensionVersion(HSE_VERSION_INFO *pVer) = 0;
    virtual BOOL TerminateExtension(DWORD dwFlags);
};								 

#endif // __EXTENSIONBASE_H
