// SOAPHeader.h
//
// Kenn Scribner
// Understanding SOAP, March 2000
//
// SOAP Header object definition
//
#if !defined __SOAPHEADER_H
#define __SOAPHEADER_H

#include "SOAPScopingElement.h"

#define HEADERBASECOOKIE	0x00020000

class CSOAPEnvelope;
class CSOAPHeader : public CSOAPScopingElement
{
public:
	CSOAPHeader(CSOAPEnvelope* pEnvelope);
	virtual ~CSOAPHeader();

// Methods
public:
	CSOAPEnvelope* GetEnvelope() { return m_pEnvelope; }

// Attributes
protected:
	CSOAPEnvelope* m_pEnvelope;

};

#endif // __SOAPHEADER_H