// SOAPHeader.cpp
//
// Kenn Scribner
// Understanding SOAP, March 2000
//
// SOAP Header object implementation
//

// Disable the "truncated to 255 characters" warning
// when expanding STL templates...
#pragma warning(disable : 4786)

#include "SOAPHeader.h"
#include "SOAPEnvelope.h"

CSOAPHeader::CSOAPHeader(CSOAPEnvelope* pEnvelope) :
  CSOAPScopingElement(HEADERBASECOOKIE,pEnvelope),
  m_pEnvelope(pEnvelope)
{
	// Establish tag text
	SetTagText("Header");
	SetTagNamespace(ENVNSCOOKIE);
}

CSOAPHeader::~CSOAPHeader()
{
}
