// VCDSoapClientDlg.h : header file
//

#if !defined(AFX_VCDSOAPCLIENTDLG_H__13A3E614_4549_40DE_9371_3343D593B062__INCLUDED_)
#define AFX_VCDSOAPCLIENTDLG_H__13A3E614_4549_40DE_9371_3343D593B062__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVCDSoapClientDlg dialog
#include "..\SOAPObjectLib\SOAPHttpPacket.h"

class CVCDSoapClientDlg : public CDialog
{
// Construction
public:
	CVCDSoapClientDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CVCDSoapClientDlg)
	enum { IDD = IDD_VCDSOAPCLIENT_DIALOG };
	CString	m_strHost;
	CString	m_strResult;
	BOOL	m_bContinuous;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVCDSoapClientDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	BOOL MakeRequest();
	HRESULT SendReceive(CSOAPHttpPacket* pPacket, CComBSTR& bstrResponse);

protected:
	HICON m_hIcon;
	DWORD m_dwTimerID;
	BOOL m_bActive;

	// Generated message map functions
	//{{AFX_MSG(CVCDSoapClientDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnRequestTime();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnContinuous();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VCDSOAPCLIENTDLG_H__13A3E614_4549_40DE_9371_3343D593B062__INCLUDED_)
